Agora RTC Objective-C API Reference Refactor

Data Fields
PublisherConfiguration Struct Reference

## Data Fields
int | width
int | height
int | framerate
int | bitrate
int | defaultLayout
int | lifecycle
bool | owner
int | injectStreamWidth
int | injectStreamHeight
const char * | injectStreamUrl
const char * | publishUrl
const char * | rawStreamUrl
const char * | extraInfo

## Detailed Description

The definition of PublisherConfiguration.

## Constructor & Destructor Documentation

## ◆ PublisherConfiguration()

PublisherConfiguration | ( |  | ) |
| inline

## Field Documentation

## ◆ width

int width

Width of the output data stream set for CDN Live. The default value is 360.

## ◆ height

int height

Height of the output data stream set for CDN Live. The default value is 640.

## ◆ framerate

int framerate

Frame rate of the output data stream set for CDN Live. The default value is 15 fps.

## ◆ bitrate

int bitrate

Bitrate of the output data stream set for CDN Live. The default value is 500 Kbps.

## ◆ defaultLayout

int defaultLayout

The default layout:

- 0: Tile horizontally
- 1: Layered windows
- 2: Tile vertically

## ◆ lifecycle

int lifecycle

The video stream lifecycle of CDN Live: RTMP_STREAM_LIFE_CYCLE_TYPE

## ◆ owner

bool owner

Whether the current user is the owner of the RTMP stream:

- True: Yes (default). The push-stream configuration takes effect.
- False: No. The push-stream configuration will not work.

## ◆ injectStreamWidth

int injectStreamWidth

Width of the stream to be injected. Set it as 0.

## ◆ injectStreamHeight

int injectStreamHeight

Height of the stream to be injected. Set it as 0.

## ◆ injectStreamUrl

const char* injectStreamUrl

URL address of the stream to be injected to the channel.

## ◆ publishUrl

const char* publishUrl

Push-stream URL address for the picture-in-picture layouts. The default value is NULL.

## ◆ rawStreamUrl

const char* rawStreamUrl

Push-stream URL address of the original stream which does not require picture-blending. The default value is NULL.

## ◆ extraInfo

const char* extraInfo

Reserved field. The default value is NULL.